<?php
namespace Controllers;
// Контроллер Пользователи
class Users extends Controller {
	public $groups;

	public function __construct() {
		parent::__construct();
		$this->groups=new \Models\Usergroups($this->db); // модель пользовательских групп
	}

	// Страница авторизации
	function autorization() {
		if($this->users->is_login()) {
			$this->f3->reroute('/'); // Если пользователь авторизован, то перекинем его на главную
		}
		$this->f3->clear('authorization_user');
		$this->cd->close_txt();
		$this->f3->set('users', $this->users->select_users()); // Список пользователей
		$this->f3->set('page_data', $this->users->page_data('autorization')); // Берем данные для страницы
	}

	// Авторизация пользователя
	function post_autorization() {
		$post=$this->f3->get('POST');
		$res=$this->users->user_autorization($post); // пытаемся авторизоваться
		$res['txt']=$this->messages->message($res['txt'])['txt']; // получаем текст ответа
		echo json_encode($res); // сообщаем что вышло
		exit();
	}

	// Запрос на подтверждение авторизации, когда уже под учетной записью кто-то авторизован
	function autorization_continue() {
		$this->f3->set('page_data', $this->users->page_data('autorization_continue')); // Берем данные для страницы
	}

	// Выход
	function logout() {
		$res=$this->users->logout();
		$mess=$this->messages->message($res['txt']);
		$res['txt']=$mess['txt']; // получаем текст ответа
		echo json_encode($res); // сообщаем что вышло
		exit();
	}
}
